Chyba instalace FP pro IBM Notes klienta na Windows od 20.4.2018

Základní

Koncem minulého týdne se objevil problém s instalací FP9 a FP10 pokud je instalujete po 19.4.2018. Příčinou problému je vypršení platnosti certifikátu některých plug-inu, které jsou součástí instalačního balíčku.

Instalace FP7 a FP8 pro IBM Notes 9.0.1 je OK

Chybová zpráva

Konkrétní chybová zpráva se nezobrazí. Instalační průvodce pouze skončí informací ze které uživatel není moc moudrý. Instalační log sice obsahuje dost error hlášek, ale opět nic z čeho by bylo jasné kde je chyba.

FP9

Možné varianty dočasného řešení

Možné varianty jsou dvě. Ani jedna není úplně ideální, ale nic jiného zatím není. Variantu jedna bych nedoporučoval ve firemních sítích kde jsou politiky pro synchronizaci času, přesunu počítače do karantény nebo zrušení důvěry vůči doméně na základě chybného času.

Varianta 1, úprava data

Před instalací FP posunout systémové datum na datum před 19.4.2018. Ve firemních sítích kde jsou nastaveny politiky na synchronizaci času, karantény počítačů atd. bych touto cestou asi nešel. Nastavené politiky mohou během okamžiku čas synchronizovat na aktuální nebo přesunout počítač do karantény či něco podobného.

Pozor: Nezapomeňte před spuštěním IBM Notes klienta vrátit datum na správné. Spuštění IBM Notes klienta s posunutým časem může způsobit problémy při replikaci.

Varianta 2, modifikace plugin_customization.ini

Rozbalte instalační balíček  příslušného FP a najděte soubor plugin_customization.ini (měl by být ve složce „deploy“) a doplňte do tohoto souboru řádek

com.ibm.rcp.security.update/EXPIRED_SIGNATURE_POLICY=ALLOW

K tomuto problému vydala IBM Technote #2015805 http://www-01.ibm.com/support/docview.wss?uid=swg22015805

Leave a Reply